---
updatedAt: 2026-05-15T09:04:24.000Z
agentTools:
  projectIndex: https://docs.ortex.com/llms.txt
---

# Threshold Reported - Changes

<p>API to retrieve official short interest changes for a given ticker on a given exchange.</p>
<h3>Available Data Points:</h3>
<ul>
    <li><strong>Position Start Date:</strong> Start date for the reported short interest position (<code>YYYY-MM-DD</code> format).</li>
    <li><strong>Position End Date:</strong> End date for the reported short interest position (<code>YYYY-MM-DD</code> format).</li>
    <li><strong>Holder:</strong> The institution or entity reporting the short position.</li>
    <li><strong>Currency:</strong> The currency in which the position value is denominated.</li>
    <li><strong>Short Interest Percentage:</strong> The percentage of total shares outstanding that are shorted.</li>
    <li><strong>Short Interest Percentage Free Float:</strong> The percentage of free float shares that are shorted.</li>
    <li><strong>Short Interest Value:</strong> The total value of the short position in the given <code>currency</code> (calculated as shortInterestShares × closing price).</li>
</ul>
<p>For a list of mic codes, please see the Exchanges API.</p>
<h3>Coverage</h3>
<p>This API currently provides official short interest data for the following countries:</p>
<ul>
    <li>Belgium</li>
    <li>Denmark</li>
    <li>Finland</li>
    <li>France</li>
    <li>Germany</li>
    <li>Ireland</li>
    <li>Italy</li>
    <li>Japan</li>
    <li>Netherlands</li>
    <li>Norway</li>
    <li>Poland</li>
    <li>Spain</li>
    <li>Sweden</li>
    <li>United Kingdom</li>
</ul>

<p><strong>Try it out!</strong> You can test the API with the <strong>trial key</strong> <code>TEST</code>. Simply include it in your request headers; either here, or add the header <code>"Ortex-Api-Key": "TEST"</code> to your http request.</p>


<p>
<strong>Trial key restrictions: </strong>A list of randomly selected rows will be returned</p>
<p><strong>Get full access!</strong> Get a key at <a href="https://app.ortex.com/apis" target="_blank">app.ortex.com/apis</a></p>


# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "ORTEX APIs",
    "version": "1.0",
    "description": "A revolutionary global equity analytics platform which identifies and analyses relevant data for your stocks."
  },
  "paths": {
    "/api/v1/stock/{exchange_symbol}/{ticker}/european_short_interest_filings/positions_in_range": {
      "get": {
        "operationId": "stock_european_short_interest_filings_positions_in_range_list",
        "description": "<p>API to retrieve official short interest changes for a given ticker on a given exchange.</p>\n<h3>Available Data Points:</h3>\n<ul>\n    <li><strong>Position Start Date:</strong> Start date for the reported short interest position (<code>YYYY-MM-DD</code> format).</li>\n    <li><strong>Position End Date:</strong> End date for the reported short interest position (<code>YYYY-MM-DD</code> format).</li>\n    <li><strong>Holder:</strong> The institution or entity reporting the short position.</li>\n    <li><strong>Currency:</strong> The currency in which the position value is denominated.</li>\n    <li><strong>Short Interest Percentage:</strong> The percentage of total shares outstanding that are shorted.</li>\n    <li><strong>Short Interest Percentage Free Float:</strong> The percentage of free float shares that are shorted.</li>\n    <li><strong>Short Interest Value:</strong> The total value of the short position in the given <code>currency</code> (calculated as shortInterestShares × closing price).</li>\n</ul>\n<p>For a list of mic codes, please see the Exchanges API.</p>\n<h3>Coverage</h3>\n<p>This API currently provides official short interest data for the following countries:</p>\n<ul>\n    <li>Belgium</li>\n    <li>Denmark</li>\n    <li>Finland</li>\n    <li>France</li>\n    <li>Germany</li>\n    <li>Ireland</li>\n    <li>Italy</li>\n    <li>Japan</li>\n    <li>Netherlands</li>\n    <li>Norway</li>\n    <li>Poland</li>\n    <li>Spain</li>\n    <li>Sweden</li>\n    <li>United Kingdom</li>\n</ul>\n\n<p><strong>Try it out!</strong> You can test the API with the <strong>trial key</strong> <code>TEST</code>. Simply include it in your request headers; either here, or add the header <code>\"Ortex-Api-Key\": \"TEST\"</code> to your http request.</p>\n\n\n<p>\n<strong>Trial key restrictions: </strong>A list of randomly selected rows will be returned</p>\n<p><strong>Get full access!</strong> Get a key at <a href=\"https://app.ortex.com/apis\" target=\"_blank\">app.ortex.com/apis</a></p>\n",
        "summary": "Threshold Reported - Changes",
        "parameters": [
          {
            "in": "path",
            "name": "exchange_symbol",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "in": "query",
            "name": "from_date",
            "schema": {
              "type": "string",
              "format": "date"
            },
            "description": "Starting date for short interest data (defaults to one month ago). Format: YYYY-MM-DD"
          },
          {
            "name": "page",
            "required": false,
            "in": "query",
            "description": "A page number within the paginated result set.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "page_size",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "path",
            "name": "ticker",
            "schema": {
              "type": "string"
            },
            "description": "Ticker symbol (e.g. \"SAP\")",
            "required": true,
            "examples": {
              "SAPSE": {
                "value": "SAP",
                "summary": "SAP SE"
              },
              "NovartisAG": {
                "value": "NOVN",
                "summary": "Novartis AG"
              }
            }
          },
          {
            "in": "query",
            "name": "to_date",
            "schema": {
              "type": "string",
              "format": "date"
            },
            "description": "Ending date for short interest data (defaults to today). Format: YYYY-MM-DD"
          }
        ],
        "tags": [
          "Short Interest"
        ],
        "security": [
          {
            "ApiKeyAuth": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedShortInterestESMAList"
                }
              }
            },
            "description": ""
          },
          "400": {
            "description": "Invalid request parameters"
          },
          "403": {
            "description": "Not authorized"
          },
          "404": {
            "description": "Data not found"
          },
          "429": {
            "description": "Rate limit exceeded"
          },
          "500": {
            "description": "Internal server error"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "PaginatedShortInterestESMAList": {
        "type": "object",
        "required": [
          "length",
          "paginationLinks",
          "rows"
        ],
        "properties": {
          "paginationLinks": {
            "type": "object",
            "example": {
              "next": "http://api.example.org/accounts/?page=4",
              "previous": "http://api.example.org/accounts/?page=2"
            }
          },
          "length": {
            "type": "integer",
            "example": 123
          },
          "rows": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ShortInterestESMA"
            }
          }
        }
      },
      "ShortInterestESMA": {
        "type": "object",
        "properties": {
          "positionStartDate": {
            "type": "string",
            "format": "date"
          },
          "positionEndDate": {
            "type": "string",
            "format": "date"
          },
          "holder": {
            "type": "string"
          },
          "currency": {
            "type": "string"
          },
          "shortInterestPc": {
            "type": "number",
            "format": "double",
            "maximum": 100000000000000,
            "minimum": -100000000000000,
            "exclusiveMaximum": true,
            "exclusiveMinimum": true
          },
          "shortInterestPcFreeFloat": {
            "type": "number",
            "format": "double",
            "maximum": 100000000000000,
            "minimum": -100000000000000,
            "exclusiveMaximum": true,
            "exclusiveMinimum": true
          },
          "sharesValue": {
            "type": "number",
            "format": "double",
            "maximum": 100000000000000,
            "minimum": -100000000000000,
            "exclusiveMaximum": true,
            "exclusiveMinimum": true
          }
        },
        "required": [
          "currency",
          "holder",
          "positionEndDate",
          "positionStartDate",
          "sharesValue",
          "shortInterestPc"
        ]
      }
    },
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Ortex-Api-Key",
        "description": "Use test API key: `TEST` to get a limited result."
      }
    }
  },
  "servers": [
    {
      "url": "https://api.ortex.com/",
      "description": "Production"
    }
  ]
}
```